#!/usr/share/venvs/netq-agent/bin/python

# Copyright 2019, 2020 Cumulus Networks, Inc. All rights reserved.
#

import socket
import sys
import argparse


HOST = b'/run/netq_cli_server'
sock = socket.socket(socket.AF_UNIX, socket.SOCK_STREAM)
sock.connect(HOST)

parser = argparse.ArgumentParser(description='agentctl arguments parser')

parser.add_argument('-m', '--model', help='print details of model')
parser.add_argument('-a', '--all', help='print details of all models', action='store_true')

args = parser.parse_args()

if (args.model):
    print(("Dumping model %s /var/log/netq-model-%s-xxx", args.model))
    sock.send(bytes(args.model, 'utf-8'))
else:
    print("Dumping ALL models in /var/log/netq-model-xxx")
    sock.send(b'all')
sock.close()
sys.exit(0)
